# $Revision: 1.18 $, $Date: 2008/11/17 23:27:05 $
Summary:	Simple Python bootloader config lib
Summary(pl.UTF-8):	Prosta biblioteka Pythona do konfiguracji bootloadera
Name:		python-booty
Version:	0.93
Release:	6
License:	LGPL
Group:		Libraries
# https://fedorahosted.org/releases/b/o/booty/ (not yet)
Source0:	booty-%{version}.tar.bz2
# Source0-md5:	e0dff87df9a94378ed6a4b5291edaaf7
Patch0:		%{name}-menu.lst.patch
Patch1:		%{name}-pld.patch
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.234
Requires:	python-rhpl >= 0.176-1.1
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Small Python library for use with bootloader configuration by anaconda
and up2date.

%description -l pl.UTF-8
Prosta biblioteka Pythona do konfiguracji bootloadera używana przez
anacondę i up2date.

%prep
%setup -q -n booty-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS='%{rpmcflags} -fPIC -Wall -I$(PYTHONINCLUDE)' \
	PYTHONLIBDIR=%{_libdir}/booty

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PYTHONLIBDIR=%{_libdir}/booty

%py_postclean %{_libdir}/booty

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README TODO
%dir %{_libdir}/booty
%{_libdir}/booty/bootloaderInfo.py[co]
%{_libdir}/booty/booty.py[co]
%{_libdir}/booty/checkbootloader.py[co]
%{_libdir}/booty/grubupdatetest.py[co]
%{_libdir}/booty/lilo.py[co]

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-booty.spec,v $
Revision 1.18  2008/11/17 23:27:05  patrys
- updated menu.lst patch
- rel 6

Revision 1.17  2008/11/09 19:38:29  glen
- return PLD Linux (brand) instead of number for productInfo
- enable menu.lst patch (why it was disabled without notice?)
- rel 5

Revision 1.16  2008/08/31 10:24:07  qboosh
- noted potential Source URL

Revision 1.15  2008/08/30 23:51:45  patrys
- more pld fixes
- rel 4

Revision 1.14  2008/08/30 23:30:57  patrys
- actually fix booty
- rel 3

Revision 1.13  2008/08/30 22:09:56  patrys
- add initrd even if file is absent
- rel 2

Revision 1.12  2007-12-14 14:35:48  patrys
- 0.93

Revision 1.11  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.9  2006/08/29 20:32:48  glen
- rel 1

Revision 1.8  2006/06/05 23:21:08  glen
- list all files as build system was stupid enough to omit files with syntax error from package

Revision 1.7  2006/06/05 22:55:49  glen
- PLD branding

Revision 1.6  2006/05/31 18:04:51  glen
- update requirement, just to be sure

Revision 1.5  2006/05/24 22:03:15  glen
- menu.lst patch

Revision 1.4  2006/05/23 22:14:23  glen
- 0.71

Revision 1.3  2005/12/24 17:45:36  arekm
- rel 2; module x86 only

Revision 1.2  2005/04/24 09:38:14  qboosh
- pl, cleanup, optflags, .so perms, lib64-aware path

Revision 1.1  2005/04/23 23:34:26  patrys
- Initial PLD release
